Package com.pixelmed.convert

## Class UnencapsulateData

- java.lang.Object
- - com.pixelmed.convert.UnencapsulateData

-     public class UnencapsulateData
      extends java.lang.Object

  A class to extract the content of a DICOM encapsulated data object into a file.

  E.g., to extract an encapsulated PDF, CDA or STL file.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnencapsulateData​(java.lang.String inputFileName, java.lang.String outputFileName)` | Extract the content of a DICOM encapsulated data object into a file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Extract the content of a DICOM encapsulated data object into a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnencapsulateData

          public UnencapsulateData​(java.lang.String inputFileName,
                                   java.lang.String outputFileName)
                            throws java.io.FileNotFoundException,
                                   java.io.IOException,
                                   DicomException

      Extract the content of a DICOM encapsulated data object into a file.

      The SOP Class will be automatically determined from the supplied file type.

      Parameters:
        `inputFileName` - DICOM file containing encapsulated data
        `outputFileName` - file to write the encapsulated data to
      Throws:
        `java.io.FileNotFoundException` - if a file cannot be found
        `java.io.IOException` - if there is a problem reading or writing
        `DicomException` - if there is a problem parsing or extracting required content

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Extract the content of a DICOM encapsulated data object into a file.

      Parameters:
        `arg` - two parameters, the input DICOM file and the output file